﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;


public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("CustomerId"), new DataColumn("Name"), new DataColumn("Country") });
            dt.Rows.Add(1, "John Hammond", "United States");
            dt.Rows.Add(2, "Mudassar Khan", "India");
            dt.Rows.Add(3, "Suzanne Mathews", "France");
            dt.Rows.Add(4, "Robert Schidner", "Russia");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

protected void ExportTextFile(object sender, EventArgs e)
{

    //Build the Text file data.
    string txt = string.Empty;

    foreach (TableCell cell in GridView1.HeaderRow.Cells)
    {
        //Add the Header row for Text file.
        txt += cell.Text + "\t\t";
    }

    //Add new line.
    txt += "\r\n";

    foreach (GridViewRow row in GridView1.Rows)
    {
        foreach (TableCell cell in row.Cells)
        {
            //Add the Data rows.
            txt += cell.Text + "\t\t";
        }

        //Add new line.
        txt += "\r\n";
    }

    //Download the Text file.
    Response.Clear();
    Response.Buffer = true;
    Response.AddHeader("content-disposition", "attachment;filename=GridViewExport.txt");
    Response.Charset = "";
    Response.ContentType = "application/text";
    Response.Output.Write(txt);
    Response.Flush();
    Response.End();
}
}