﻿Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient
Partial Class VB
    Inherits System.Web.UI.Page


    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("CustomerId"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub ExportTextFile(sender As Object, e As EventArgs)

        'Build the Text file data.
        Dim txt As String = String.Empty

        For Each cell As TableCell In GridView1.HeaderRow.Cells
            'Add the Header row for Text file.
            txt += cell.Text + vbTab & vbTab
        Next

        'Add new line.
        txt += vbCr & vbLf

        For Each row As GridViewRow In GridView1.Rows
            For Each cell As TableCell In row.Cells
                'Add the Data rows.
                txt += cell.Text + vbTab & vbTab
            Next

            'Add new line.
            txt += vbCr & vbLf
        Next

        'Download the Text file.
        Response.Clear()
        Response.Buffer = True
        Response.AddHeader("content-disposition", "attachment;filename=GridViewExport.txt")
        Response.Charset = ""
        Response.ContentType = "application/text"
        Response.Output.Write(txt)
        Response.Flush()
        Response.End()
    End Sub
End Class
